- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6CommentAnnotationPacket Class Reference

`#include <WP6CommentAnnotationPacket.h>`

Inheritance diagram for WP6CommentAnnotationPacket:

## Public Member Functions
| WP6CommentAnnotationPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6CommentAnnotationPacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *) const
unsigned char | getAnnotationFlag () const
unsigned short | getTextPID () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6CommentAnnotationPacket (const WP6CommentAnnotationPacket &)
WP6CommentAnnotationPacket & | operator= (const WP6CommentAnnotationPacket &)

## Private Attributes
unsigned short | m_textPID
unsigned char | m_flags

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6CommentAnnotationPacket::WP6CommentAnnotationPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6CommentAnnotationPacket::~WP6CommentAnnotationPacket | ( |  | ) |

WP6CommentAnnotationPacket::WP6CommentAnnotationPacket | ( | const WP6CommentAnnotationPacket & |  | ) |
| private

## Member Function Documentation

void WP6CommentAnnotationPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

unsigned char WP6CommentAnnotationPacket::getAnnotationFlag | ( |  | ) | const
| inline

unsigned short WP6CommentAnnotationPacket::getTextPID | ( |  | ) | const
| inline

WP6CommentAnnotationPacket& WP6CommentAnnotationPacket::operator= | ( | const WP6CommentAnnotationPacket & |  | ) |
| private

void WP6CommentAnnotationPacket::parse | ( | WP6Listener * |  | ) | const
| inline virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

unsigned char WP6CommentAnnotationPacket::m_flags
| private

Referenced by _readContents(), and getAnnotationFlag().

unsigned short WP6CommentAnnotationPacket::m_textPID
| private

Referenced by _readContents(), and getTextPID().

The documentation for this class was generated from the following files:

- WP6CommentAnnotationPacket.h
- WP6CommentAnnotationPacket.cpp